package logger

// Fields : Log fields
type Fields map[string]interface{}

// Level : Log level
type Level uint32

// Logger : Logger interface
type Logger interface {
	Debugf(format string, args ...interface{})
	Infof(format string, args ...interface{})
	Warnf(format string, args ...interface{})
	Errorf(format string, args ...interface{})
	Fatalf(format string, args ...interface{})
	Panicf(format string, args ...interface{})
	WithFields(fields Fields) Logger
}
